#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end

# check if config has mysqluser and mysqlpassword
USEREXIST=`cat /etc/amiserv5/Config.txt | grep MYSQLUSER | wc -l`
PASSWORDEXIST=`cat /etc/amiserv5/Config.txt | grep MYSQLPASSWORD | wc -l`

if [ "$USEREXIST" == "0" ]
then
	sed -i "/MYSQLPORT.*/ a MYSQLUSER = amiserv5" /etc/amiserv5/Config.txt
else
	sed -i "s/^MYSQLUSER.*/MYSQLUSER = amiserv5/" /etc/amiserv5/Config.txt
fi


if [ "$PASSWORDEXIST" == "0" ]
then
	sed -i "/MYSQLUSER.*/ a MYSQLPASSWORD = SCvhgjzsSdvhvS4" /etc/amiserv5/Config.txt
else
	sed -i "s/^MYSQLPASSWORD.*/MYSQLPASSWORD = SCvhgjzsSdvhvS4/" /etc/amiserv5/Config.txt
fi


cnt=`cat /etc/amiserv5/Config.txt | grep AmiActionTimeout | wc -l`
if [ "$cnt" == "0" ]
then
	sed -i '/^AmiPassword.*$/a AmiActionTimeout = 10000' /etc/amiserv5/Config.txt
fi

sed -i '/^.*CDRDBLogin.*$/d' /etc/amiserv5/Config.txt
sed -i '/^.*CDRDBPassword.*$/d' /etc/amiserv5/Config.txt


$mysqlcmd <<EOF
GRANT ALL ON amiserv5.* TO "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON amiserv5.* TO "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON amiserv5.* TO "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON amiserv5.* TO "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON asterisk.* TO "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON asterisk.* TO "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON asterisk.* TO "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON asterisk.* TO "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON supervision3.* TO "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON supervision3.* TO "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON supervision3.* TO "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON supervision3.* TO "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON chatplugin.* TO "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON chatplugin.* TO "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON chatplugin.* TO "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON chatplugin.* TO "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON performance2.* TO "amiserv5"@"localhost" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON performance2.* TO "amiserv5"@"127.0.0.1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON performance2.* TO "amiserv5"@"::1" IDENTIFIED BY "SCvhgjzsSdvhvS4";
GRANT ALL ON performance2.* TO "amiserv5"@"%" IDENTIFIED BY "SCvhgjzsSdvhvS4";
FLUSH PRIVILEGES;
EOF