#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

. $INSTALLDIR/$PRODUCTNAME/InstallScripts/include.sh

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Stoppping $PRODUCTNAME"
systemctl stop $PRODUCTNAME

$mysqlcmd -e "DROP SCHEMA IF EXISTS amiserv5"
$mysqlcmd -e "DROP SCHEMA IF EXISTS supervision3"
$mysqlcmd -e "DROP SCHEMA IF EXISTS chatplugin"
$mysqlcmd -e "DELETE FROM mysql.user WHERE user IN ('amiserv5')"

exit
